package com.chenyang.nse.bussiness.service;

import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseGroup;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseMenu;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseResource;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseRole;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUser;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUserproject;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUsersys;
import com.chenyang.nse.bussiness.entity.orm.table.console.TConsolePrivilege;
import com.chenyang.nse.bussiness.entity.orm.table.console.TConsoleSystemSetting;
import java.util.List;

public interface IndexService {
   TBaseUser login(TBaseUser user);

   TBaseUser login1(TBaseUser user);

   List<TBaseGroup> queryGroupByUserId(String userid);

   List<TBaseRole> queryRoleByUserId(String userid);

   List<TBaseMenu> qeuryMenusByRoleId(List<TBaseRole> roles);

   List<TBaseMenu> queryMenusByUserId(String userId);

   List<TBaseMenu> qeuryMenus();

   List<TBaseUsersys> qeurySysByUserId(String userid);

   List<TBaseUserproject> qeuryProjectByUserId(String userid);

   List<TBaseResource> queryResourcesListByRoleId(List<TBaseRole> trole);

   List<TConsolePrivilege> queryPrivilegeByRoleId(List<TBaseRole> trole);

   void saveOrUpdate(TBaseUser user);

   List<TConsoleSystemSetting> querySystemSettings();

   TBaseMenu queryMenusBySubName(String submenuname);

   TBaseUser querykeyByUsername(String username);

   List<TBaseMenu> queryMenusByType(String s);
}
